CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

容差上限属性 (ActiveX)

2023-1-3 03:00| 发布者: admin| 查看: 279| 评论: 0|来自: AutoCAD

摘要: 指定尺寸文本的最大容差限制。

指定尺寸文本的最大容差限制。

支持的平台:仅窗口

签名

工 务 局:

object.ToleranceUpperLimit
对象

类型:暗三点角度,暗对齐,暗,暗弧长度,暗直径,尺寸,暗坐标,径向,向大,暗旋转

此属性适用的对象。

属性值

只读:

类型:

容差下限。

言论

此属性的初始值为 0.0000。

仅当属性设置为 、、 或 时,此属性才可用。ToleranceDisplayacTolSymmetricalacTolDeviationacTolLimits

注意:此属性将覆盖给定维度的 DIMTP 系统变量的值。

例子

工 务 局:

Sub Example_ToleranceLowerLimit()
    ' This example creates an aligned dimension in model space and
    ' sets the tolerance limits using the ToleranceLowerLimit and
    ' ToleranceUpperLimit properties

    Dim dimObj As AcadDimAligned
    Dim newText As AcadTextStyle
    Dim point1(0 To 2) As Double, point2(0 To 2) As Double
    Dim location(0 To 2) As Double
    
    ' Define the dimension
    point1(0) = 5: point1(1) = 5: point1(2) = 0
    point2(0) = 5.5: point2(1) = 5: point2(2) = 0
    location(0) = 5: location(1) = 7: location(2) = 0
    
    ' Create an aligned dimension object in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
    
    ' Turn on tolerance display
    dimObj.ToleranceDisplay = acTolSymmetrical
    
    ThisDrawing.Application.ZoomAll
    
    ' Read and display the tolerance limits for the dimension
    MsgBox "The tolerance lower limit is set to: " & dimObj.ToleranceLowerLimit & vbCrLf & _
           "The tolerance upper limit is set to: " & dimObj.ToleranceUpperLimit
    
    ' Adjust the tolerance limits for this dimension
    dimObj.ToleranceLowerLimit = 0.0001
    dimObj.ToleranceUpperLimit = 0.005
    
    ThisDrawing.Regen acAllViewports
    
    ' Read and display the tolerance limits for the dimension
    MsgBox "The tolerance lower limit is now set to: " & dimObj.ToleranceLowerLimit & vbCrLf & _
           "The tolerance upper limit is now set to: " & dimObj.ToleranceUpperLimit

End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_ToleranceLowerLimit()
    ;; This example creates an aligned dimension in model space and
    ;; sets the tolerance limits using the ToleranceLowerLimit and
    ;; ToleranceUpperLimit properties
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the dimension
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 5.5 5 0)
          location (vlax-3d-point 5 7 0))
    
    ;; Create an aligned dimension object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))

    ;; Turn on tolerance display
    (vla-put-ToleranceDisplay dimObj acTolSymmetrical)
    
    (vla-ZoomAll acadObj)
    (vla-Regen doc acAllViewports)
    
    ;; Read and display the tolerance limits for the dimension
    (alert (strcat "The tolerance lower limit is set to: " (rtos (vla-get-ToleranceLowerLimit dimObj) 2)
                   "\nThe tolerance upper limit is set to: " (rtos (vla-get-ToleranceUpperLimit dimObj) 2)))
    
    ;; Adjust the tolerance limits for this dimension
    (vla-put-ToleranceLowerLimit dimObj 0.0001)
    (vla-put-ToleranceUpperLimit dimObj 0.005)
    
    (vla-Regen doc acAllViewports)
    
    ;; Read and display the tolerance limits for the dimension
    (alert (strcat "The tolerance lower limit is now set to: " (rtos (vla-get-ToleranceLowerLimit dimObj) 2)
                   "\nThe tolerance upper limit is now set to: " (rtos (vla-get-ToleranceUpperLimit dimObj) 2)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 17:20

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部